<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
sortir les rfrences bibliographiques par personne en morceau

update :
$Id$
fplod 2007-10-17T08:03:44Z aedon.locean-ipsl.upmc.fr (Darwin)
improve sort (diacriticals)
fplod 2007-05-18T14:57:52Z aedon.locean-ipsl.upmc.fr (Darwin)
modif gestion id
fplod 2007-05-16T15:19:57Z aedon.locean-ipsl.upmc.fr (Darwin)
correction pour homonymes partiels
fplod 2007-05-04T09:23:05Z aedon.locean-ipsl.upmc.fr (Darwin)
creation  partir de bibnemomaf02_xml.xsl mais liens externes
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="no"
 doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
 doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>

<xsl:include href="firstname_id.xsl"/>
<xsl:include href="surname_id.xsl"/>
<xsl:include href="table_authors.xsl"/>
<xsl:include href="biblioentry_xml.xsl"/>

<xsl:variable name="list_author_ids" select="///author[not( self::node() = following::author )]"/>

<xsl:template match="bibliography">

<article lang="en">
<title>NEMO - Publications - Papers by authors</title>
<articleinfo>
<authorgroup>
<author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname></author>
<author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname></author>
<!--++-->
</authorgroup>
<keywordset>
<keyword>NEMO</keyword>
</keywordset>
<!-- ++ date -->
</articleinfo>
<highlights>
<para>
 This page intents to provide an exhaustive list of the papers that have used NEMO or OPA and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
<xsl:element name="ulink">
 <xsl:attribute name="url">
  <xsl:value-of select="'../../one/main.php'"/>
 </xsl:attribute>
 <xsl:text>Nemo Survey main page</xsl:text>
</xsl:element>.
</para>
</highlights>
<para>
You can also see <quote>NEMO - Publications - Papers</quote> sorted by 
<xsl:element name="ulink">
 <xsl:attribute name="url">
  <xsl:value-of select="'../../one/bibnemomaf01.html'"/>
 </xsl:attribute>
<xsl:text>years</xsl:text>
</xsl:element>.
</para>
<para>
Last update of the bibliography databank : <xsl:value-of select="bibliographyinfo/date"/>
</para>

<sect1 id="intro">
<title>Introduction</title>
<para>
This document provide bibliography sorted by author's id (<emphasis>SURNAME_f</emphasis>).
</para>
</sect1>

<xsl:call-template name="table_authors">
<xsl:with-param name="linktype" select="'external'"/>
</xsl:call-template>

<!-- loop on author_ids -->
<xsl:for-each select="$list_author_ids">
<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
<xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="personname/surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="personname/firstname"/>
</xsl:call-template>
</xsl:variable>
<!--
<xsl:message terminate="no">
noeud courant <xsl:value-of select="name(.)"/>
author <xsl:value-of select="."/>
author_id2 <xsl:value-of select="$author_id2"/>
</xsl:message>
-->
<xsl:call-template name="one_author_id">
<xsl:with-param name="author_id" select="$author_id2"/>
<xsl:with-param name="author_name" select="."/>
</xsl:call-template>
</xsl:for-each>

</article>
</xsl:template>

<xsl:template match="bibliographyinfo/date"/>
<xsl:template match="bibliography/title"/>

<xsl:template name="one_author_id">
<xsl:param name="author_id"/>
<xsl:param name="author_name"/>
<!--
<xsl:message terminate="no">
call template avec <xsl:value-of select="$author_id"/>
et <xsl:value-of select="$author_name"/>
noeud courant <xsl:value-of select="name(.)"/>
</xsl:message>
-->
<!--
<xsl:message terminate="no">
author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::surname=$author_id])"/>
2 author_id_<xsl:value-of select="$author_id"/> : <xsl:value-of select="count(/descendant::biblioentry[descendant::author=$author_name])"/>
</xsl:message>
-->
<xsl:element name="sect1">
<xsl:attribute name="id">
<xsl:value-of select="$author_id"/>
</xsl:attribute>
<xsl:element name="title">
<xsl:value-of select="$author_name"/>
</xsl:element>
  <xsl:element name="orderedlist">
  <!--
    <xsl:for-each select="/descendant::biblioentry[descendant::author=$author_name]">
  -->
   <xsl:for-each select="//biblioentry">
    <xsl:sort order="descending" data-type="number" select="./biblioset/pubdate"/>

    <xsl:for-each select="descendant::author">
     <xsl:sort order="ascending" data-type="text" select="translate(./personname,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
     <xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="personname/surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="personname/firstname"/>
</xsl:call-template>
     </xsl:variable>

<!--
     <xsl:message terminate="no">
      ref #<xsl:value-of select="position()"/>
      _id appel <xsl:value-of select="$author_id"/>
      _id fabrique <xsl:value-of select="$author_id2"/>
      egal ? <xsl:value-of select="$author_id2 = $author_id"/>
     </xsl:message>
-->
     <xsl:if test="$author_id2 = $author_id">
  <xsl:call-template name="one_biblioentry">
   <xsl:with-param name="visu_modif" select="'visu'"/>
   <xsl:with-param name="my_biblioentry" select="ancestor::biblioentry"/>
  </xsl:call-template>
     </xsl:if>
    </xsl:for-each>
   </xsl:for-each>
  </xsl:element>
 </xsl:element>
</xsl:template>

</xsl:stylesheet>
